Package org.apache.cxf.buslifecycle

# Interface BusLifeCycleManager

All Superinterfaces:
  `BusLifeCycleListener`

All Known Implementing Classes:
  `CXFBusLifeCycleManager`

public interface BusLifeCycleManager extends BusLifeCycleListener
The manager interface for registering `BusLifeCycleListener`s. A class that implements the BusLifeCycleListener interface can be registered or unregistered to receive notification of `Bus` lifecycle events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `registerLifeCycleListener(BusLifeCycleListener listener)`
  Register a listener to receive `Bus` lifecycle notification.
  `void`
  `unregisterLifeCycleListener(BusLifeCycleListener listener)`
  Unregister a listener so that it will no longer receive `Bus` lifecycle events.

  ### Methods inherited from interface org.apache.cxf.buslifecycle.BusLifeCycleListener

  `initComplete, postShutdown, preShutdown`

- ## Method Details

  - ### registerLifeCycleListener

    void registerLifeCycleListener(BusLifeCycleListener listener)
    Register a listener to receive `Bus` lifecycle notification.
    Parameters:
      `listener` - The `BusLifeCycleListener` that will receive the events.

  - ### unregisterLifeCycleListener

    void unregisterLifeCycleListener(BusLifeCycleListener listener)
    Unregister a listener so that it will no longer receive `Bus` lifecycle events.
    Parameters:
      `listener` - The `BusLifeCycleListener` to unregister.